from Products.PloneTestCase import PloneTestCase
from Products.PloneTestCase.layer import onsetup
from Products.Five import zcml
from Products.Five import fiveconfigure
from Products.CMFCore.utils import getToolByName
from Products.CMFPlone.interfaces import IPloneSiteRoot
from Products.GenericSetup import EXTENSION, profile_registry
from eea.testcase.layer import EEAMegaLayer

import eea.plone3compat
from zope.interface import classImplements
from Products.CMFPlone.Portal import PloneSite
from Products.CMFPlone.interfaces import ITestCasePloneSiteRoot
classImplements(PloneSite, ITestCasePloneSiteRoot)


@onsetup
def setup_eea_testcase():
    fiveconfigure.debug_mode = True
    import Products.FiveSite
    zcml.load_config('meta.zcml', Products.Five)
    zcml.load_config('configure.zcml', Products.FiveSite)
    fiveconfigure.debug_mode = False
    PloneTestCase.installProduct('Five')

setup_eea_testcase()
PloneTestCase.setupPloneSite()


class EEAMegaTestCase(PloneTestCase.PloneTestCase):
    layer = EEAMegaLayer

